#ifndef STORE_MODULE_H
#define STORE_MODULE_H

#include <string>
#include <vector>

class StoreModule {
    std::string path;
    std::wstring name;
    std::wstring goods_name_regex;
    std::wstring goods_price_regex;
    std::wstring goods_quantity_regex;
    std::wstring check_start_regex;
    std::wstring check_end_regex;
public:
    StoreModule(std::string);
    StoreModule();

    std::vector<std::string> parse_name(std::wstring);
    std::vector<std::string> parse_price(std::wstring);
    std::vector<std::string> parse_quantity(std::wstring);
    std::wstring trim_check(std::wstring&);


    std::wstring get_name();
};

#endif // STORE_MODULE_H
